/* eslint-disable @typescript-eslint/no-explicit-any */
import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import "tailwindcss/tailwind.css";
import {
  NoticeBar,
  Popup,
  Search,
  Swipe,
  SwipeItem,
  Toast,
  Popover,
  List,
  Cell,
  PullRefresh,
  ConfigProvider,
} from "vant";
import { Quasar } from "quasar";
import quasarConfig from "./plugins/quasar-config";
import "@/assets/styles/style.less";
import "@/styles/quasar.scss";
import "quasar/dist/quasar.css";
import "@quasar/extras/roboto-font/roboto-font.css";
import "@quasar/extras/material-icons/material-icons.css";
// import '@quasar/extras/material-icons-outlined/material-icons-outlined.css'
// import '@quasar/extras/material-icons-round/material-icons-round.css'
// import '@quasar/extras/material-icons-sharp/material-icons-sharp.css'
import "@quasar/extras/fontawesome-v5/fontawesome-v5.css";
import "@quasar/extras/ionicons-v4/ionicons-v4.css";
// import '@quasar/extras/mdi-v4/mdi-v4.css'
import "@quasar/extras/eva-icons/eva-icons.css";
import longPress from "@/plugins/longPress";
import { format } from "@/utils/time";
import { APPVERSION } from "./config/app";
(function () {
  if (process.env.VUE_APP_MODE === "DEV") {
    // eslint-disable-next-line no-var
    var script = document.createElement("script") as unknown as any;
    script.src = "//cdn.jsdelivr.net/npm/eruda";
    document.body.appendChild(script);
    script.onload = function () {
      (window as any).eruda.init();
    };
  }
})();

console.log("version:", APPVERSION);

const app = createApp(App);
app.config.globalProperties.$format = format;

app
  .use(router)
  .use(NoticeBar)
  .use(ConfigProvider)
  .use(Swipe)
  .use(SwipeItem)
  .use(Popup)
  .use(Search)
  .use(Toast)
  .use(Popover)
  .use(longPress)
  .use(List)
  .use(PullRefresh)
  .use(Cell)
  .use(Quasar, quasarConfig)
  .mount("#app");
